Create address book entry
curl --request POST \
--url https://sandbox.groundtech.co/v2/address-book/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0x52908400098527886E0F7030069857D2E4169EE7",
"chain": "arbitrum",
"label": "Ops treasury"
}
'import requests
url = "https://sandbox.groundtech.co/v2/address-book/entries"
payload = {
"address": "0x52908400098527886E0F7030069857D2E4169EE7",
"chain": "arbitrum",
"label": "Ops treasury"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '0x52908400098527886E0F7030069857D2E4169EE7',
chain: 'arbitrum',
label: 'Ops treasury'
})
};
fetch('https://sandbox.groundtech.co/v2/address-book/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": "<unknown>"
}{
"error": "<string>"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "<string>"
}{
"error": "An address book entry for this address and chain already exists",
"code": "address_book_duplicate_entry"
}{
"error": "Rate limit exceeded",
"code": "rate_limited"
}{
"error": "Internal server error",
"code": "internal_error"
}Address Book
Create address book entry
Adds a withdrawal destination to the organization’s address book. Requires an organization owner or admin.
POST
/
v2
/
address-book
/
entries
Create address book entry
Add a withdrawal destination to the authenticated organization’s address book.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Address book entry created
⌘I